Gönderen Konu: [Çözüldü] Spyder3 kurulu ancak Spyder2 açılıyor.  (Okunma sayısı 633 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı oguzhanuslu

  • Çok Yeni Penguen
  • *
  • İleti: 14
  • Dağıtım: Linux Mint 19.1
  • Masaüstü: Cinnamon
  • İşlemci: AMD A10
[Çözüldü] Spyder3 kurulu ancak Spyder2 açılıyor.
« : 17 Ağustos 2018, 21:56:13 »
Merhaba forum,
Bilgisayarım 64 bit ve Linux Mint 18.1 KDE kullanıyorum. Başlıkta da belirttiğim gibi Spyder3 kuruyorum, uygulama adı Spyder3 olarak gözüküyor ancak çalıştırdığımda açılış ekranında Spyder2 yazıyor. Çözüm için ne yapmalıyım?
« Son Düzenleme: 20 Ağustos 2018, 12:57:45 Gönderen: oguzhanuslu »
Âdeme âdem gerektir âdem etsin âdemi
Âdem âdem olmayınca âdem netsin âdemi.

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16812
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Ynt: Spyder3 kurulu ancak Spyder2 açılıyor.
« Yanıtla #1 : 17 Ağustos 2018, 22:08:05 »
Komutların çıktısına bakalım.

Kod: [Seç]
dpkg -l | grep spyder
apt-cache policy spyder*
« Son Düzenleme: 17 Ağustos 2018, 22:10:07 Gönderen: Butterfly »
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı oguzhanuslu

  • Çok Yeni Penguen
  • *
  • İleti: 14
  • Dağıtım: Linux Mint 19.1
  • Masaüstü: Cinnamon
  • İşlemci: AMD A10
Ynt: Spyder3 kurulu ancak Spyder2 açılıyor.
« Yanıtla #2 : 17 Ağustos 2018, 22:10:32 »
Komutların çıktısına bakalım.

Kod: [Seç]
dpkg -l | grep spyder
apt-cache policy spyder*

Kod: [Seç]
dpkg -l | grep spyder
ii  python-spyderlib                                            2.3.8+dfsg1-1build1                                      all          Python IDE for scientists (Python 2 modules)
ii  python-spyderlib-doc                                        2.3.8+dfsg1-1build1                                      all          Python IDE for scientists (Documentation)
ii  python3-spyderlib                                           2.3.8+dfsg1-1build1                                      all          Python IDE for scientists (Python 3 modules)
ii  spyder-common                                               2.3.8+dfsg1-1build1                                      all          Python IDE for scientists (common files)
ii  spyder3                                                     2.3.8+dfsg1-1build1                                      all          Python IDE for scientists (Python 3)
Âdeme âdem gerektir âdem etsin âdemi
Âdem âdem olmayınca âdem netsin âdemi.

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16812
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Ynt: Spyder3 kurulu ancak Spyder2 açılıyor.
« Yanıtla #3 : 17 Ağustos 2018, 22:26:11 »
Çıktılardan anladığım kadarıyla, Linux Mint 18.x deposundan kurduğunuz Spyder3 uygulamasının 2.3.8.x sürümü. Linux Mint 19 deposunda ise 3.2.6.x sürümü mevcut.

Linux Mint 18.x için aşağıdaki komutla depodan kurduğunuz paketleri kaldırıp,

Kod: [Seç]
sudo apt purge spyder3
aşağıdaki komutlarla pip3 yardımıyla kurmayı deneyebilirsiniz.

Kod: [Seç]
sudo apt install python3-pip python3-setuptools
Kod: [Seç]
sudo pip3 install spyder
Gerektiğinde aşağıdaki komutla güncelleme yapabilirsiniz.

Kod: [Seç]
sudo pip3 install -U spyder
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı oguzhanuslu

  • Çok Yeni Penguen
  • *
  • İleti: 14
  • Dağıtım: Linux Mint 19.1
  • Masaüstü: Cinnamon
  • İşlemci: AMD A10
Ynt: Spyder3 kurulu ancak Spyder2 açılıyor.
« Yanıtla #4 : 18 Ağustos 2018, 11:16:58 »
Çıktılardan anladığım kadarıyla, Linux Mint 18.x deposundan kurduğunuz Spyder3 uygulamasının 2.3.8.x sürümü. Linux Mint 19 deposunda ise 3.2.6.x sürümü mevcut.

Linux Mint 18.x için aşağıdaki komutla depodan kurduğunuz paketleri kaldırıp,

Kod: [Seç]
sudo apt purge spyder3
aşağıdaki komutlarla pip3 yardımıyla kurmayı deneyebilirsiniz.

Kod: [Seç]
sudo apt install python3-pip python3-setuptools
Kod: [Seç]
sudo pip3 install spyder
Gerektiğinde aşağıdaki komutla güncelleme yapabilirsiniz.

Kod: [Seç]
sudo pip3 install -U spyder

Kod: [Seç]
sudo pip3 install spyder
The directory '/home/oguzhanuslu/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/oguzhanuslu/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Requirement already satisfied (use --upgrade to upgrade): spyder in /usr/lib/python3/dist-packages
You are using pip version 8.1.1, however version 18.0 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Verdiğiniz komutları çalıştırınca böyle bir uyarı çıkıyor.
Kod: [Seç]
pip install --upgrade pip
Requirement already up-to-date: pip in ./anaconda3/lib/python3.6/site-packages (18.0)
pip'i güncellediğimde de güncel olduğunu söylüyor. Ancak bu sefer de
Kod: [Seç]
sudo pip install spyder komutunu verince de
Kod: [Seç]
sudo pip install spyder
The directory '/home/oguzhanuslu/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/oguzhanuslu/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Requirement already satisfied (use --upgrade to upgrade): spyder in /usr/lib/python2.7/dist-packages
You are using pip version 8.1.1, however version 18.0 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
hatası ile karşılaşıyorum.
Âdeme âdem gerektir âdem etsin âdemi
Âdem âdem olmayınca âdem netsin âdemi.

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16812
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Ynt: Spyder3 kurulu ancak Spyder2 açılıyor.
« Yanıtla #5 : 18 Ağustos 2018, 11:38:11 »
Aşağıdaki şekilde dener misiniz?

Kod: [Seç]
sudo -H pip3 install spyder
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı oguzhanuslu

  • Çok Yeni Penguen
  • *
  • İleti: 14
  • Dağıtım: Linux Mint 19.1
  • Masaüstü: Cinnamon
  • İşlemci: AMD A10
Ynt: Spyder3 kurulu ancak Spyder2 açılıyor.
« Yanıtla #6 : 18 Ağustos 2018, 11:47:14 »
Aşağıdaki şekilde dener misiniz?

Kod: [Seç]
sudo -H pip3 install spyder

Kod: [Seç]
sudo -H pip3 install spyder
[sudo] password for oguzhanuslu:
Requirement already satisfied (use --upgrade to upgrade): spyder in /usr/lib/python3/dist-packages
You are using pip version 8.1.1, however version 18.0 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Spyder veya Spyder3 olarak uygulamalarda arama yaptığımda program dosyaları oluşmuş ancak IDE yok.
Âdeme âdem gerektir âdem etsin âdemi
Âdem âdem olmayınca âdem netsin âdemi.

Çevrimdışı Reddet

  • Forum Sorumlusu
  • *****
  • İleti: 944
  • Dağıtım: Linux Mint 19.1 Tessa
  • Masaüstü: Cinnamon
Ynt: Spyder3 kurulu ancak Spyder2 açılıyor.
« Yanıtla #7 : 18 Ağustos 2018, 15:17:54 »
Alıntı
You should consider upgrading via the 'pip install --upgrade pip' command.
Kod: [Seç]
sudo pip install --upgrade pipKomutundan sonra tekrar deneyin
Kod: [Seç]
sudo -H pip3 install spyder
Adaletin olmadığı yerde anarşi başlar..

Çevrimdışı oguzhanuslu

  • Çok Yeni Penguen
  • *
  • İleti: 14
  • Dağıtım: Linux Mint 19.1
  • Masaüstü: Cinnamon
  • İşlemci: AMD A10
Ynt: Spyder3 kurulu ancak Spyder2 açılıyor.
« Yanıtla #8 : 18 Ağustos 2018, 17:14:35 »
Kod: [Seç]
sudo pip install --upgrade pipKomutundan sonra tekrar deneyin
Kod: [Seç]
sudo -H pip3 install spyder
Teşekkür ederim, sorun çözüldü ancak bir sorunum daha var. Terminalden spyder komutunu verince uygulama çalışıyor ancak uygulamayı listede bulamıyorum.
Âdeme âdem gerektir âdem etsin âdemi
Âdem âdem olmayınca âdem netsin âdemi.